Bug 819253 - kdegames conflicts with ggz-base-libs
kdegames conflicts with ggz-base-libs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ggz-base-libs (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-05 21:25 EDT by Bruno Wolff III
Modified: 2012-06-14 11:21 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 11:01:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2012-05-05 21:25:44 EDT
Description of problem:
Transaction Check Error:
  file /var/spool/gdm from install of kde-settings-kdm-4.8-8.fc18.noarch conflicts with file from package gdm-1:3.4.1-1.fc18.i686
  file /etc/ggz.modules.d from install of kdegames-6:4.8.3-1.fc18.i686 conflicts with file from package ggz-base-libs-0.99.5-10.fc17.i686
Comment 1 Kevin Kofler 2012-05-06 05:14:59 EDT
These are co-owned directories, not files.
Comment 2 Bruno Wolff III 2012-05-06 08:38:41 EDT
That output is the result of a yum error that blocks any updates scheduled for that transaction. The conflict needs to be resolved (maybe there are permission differences or something similar) or the packages need a conflicts declaration so that yum can remove a package from the transaction (so that --skip-broken will work) before the transaction test step.
Comment 3 Bruno Wolff III 2012-05-06 08:59:16 EDT
I have confirmed that the access protections for the two definitions of the directory are different. I saw some place on the lists that rpm has started caring about this in rawhide, so the issue may not have triggered a conflict in earlier releases.
Comment 4 Bruno Wolff III 2012-05-06 09:04:09 EDT
[root@bruno Packages]# rpm -qlvp k/kdegames-4.8.3-1.fc18.i686.rpm g/ggz-base-libs-0.99.5-10.fc17.i686.rpm | grep modules.d
drwx------    2 root    root                        0 Apr 30 08:44 /etc/ggz.modules.d
-rw-r--r--    1 root    root                      685 Apr 30 08:44 /etc/ggz.modules.d/kdegames
warning: g/ggz-base-libs-0.99.5-10.fc17.i686.rpm: Header V3 RSA/SHA256 Signature, key ID 1aca3465: NOKEY
drwxr-xr-x    2 root    root                        0 Jan 18 10:35 /etc/ggz.modules.d
Comment 5 Kevin Kofler 2012-05-06 12:18:20 EDT
Oh duh, strange permissions…

ggz-gase-libs is the one having strange permissions here and should be fixed.
Comment 6 Bruno Wolff III 2012-06-14 11:01:10 EDT
kdegames now installs alongside ggz-base-libs in rawhide.
Comment 7 Jaroslav Reznik 2012-06-14 11:21:27 EDT
GGZ support has been removed from kdegames-4.8.80+.

Note You need to log in before you can comment on or make changes to this bug.